Subject: Re: du does not find all directories
From: [email-masked]

6 Feb 1997 22:24:30 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7BIT
Comments: Authenticated sender is <[email-masked]>
Original-To: [email-masked]
X-mailer: Pegasus Mail for Win32 (v2.42)
Original-Sender: [email-masked]

> Jim,
> 
>      Thanks for the quick reply.  I was using the man pages from my
> Sun workstation.  If they are kilobytes, then I get
> 335637*1024=343,692,288 bytes on a 2 GB drive which is nearly full.
> Moreover it is missing many directories, such as c:\windows and
> c:\netscape.  There are others.  I haven't systematically checked.  I
> have few links (Win95 "shortcuts", I assume) that I know about.  If I
> do:
> 
> du c:\netscape
> 
> it does c:\netscape all right, even though it misses it with:
> 
> du / (or du c:\, or other apparent equivalents).
> 
>      The behavior is consistent with its running out of resources and
> quitting without saying so.  I can't tell as I don't know the search
> order.  There were 50 MB free when I started, and I have run it with
> 150 MB free space and get the same, consistent results, so I don't
> think it is because of the shortage of space on the drive.  It is my
> only hard drive, but there was a CD-ROM in the CD drive.  There is no
> indication it was reading anything but the C drive, however.  Both
> Explorer and Scandisk agree on the number of free bytes, and I
> definitely have more than 350 MB.
> 

You're not alone.  I've had the same problems.  I've had to just copy 
the VirtUnix du.exe over to the /H-i386-cygnus/bin dir whenever 
I upgrade gnuwin32.

On a similar note to du, is there any more unix-like df command?  I'd 
try one, but I'm not that good with Win32 API to fetch what drives 
are available.  Is there any simpler cygnus funcs that do that, or 
list the mounted dirs?

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".